

	COMPLEX*32 FUNCTION CDSQRT12 (Z)
C	square root with  0.0 <= "arg" < pi
C	note: sqrt is assumed to give the root with  -pi/2 < "arg" <= pi/2
	COMPLEX*32 Z

	CDSQRT12 = SQRT(Z)
	IF (AIMAG(CDSQRT12).LT.0.0Q0) CDSQRT12 = -CDSQRT12

	RETURN
	END
